$(document).ready(function(){

    $('.btnAgregarConvocatoria').click(function (e) {
        e.preventDefault();
        funciones.bloquearFrm(".frmDatosConvocatoria", true, true);
        funciones.modalType('#mdlDatosConvocatoria', 'success');
        $('#mdlDatosConvocatoria').modal('show');
    });

    $('.btnGuardarConvocatoria').click(function (e){
        e.preventDefault();
        funciones.showHideButtonLoading('.btnGuardarConvocatoria');

        var fd = new FormData($(".frmDatosConvocatoria")[0]);

        $.ajax({
            url: $(".frmDatosConvocatoria").attr("action"),
            type: 'POST',
            data: fd,
            success: function (response) {
                if(funciones.showMensajeByResponse(".frmDatosConvocatoria",response) === true){
                    $('#mdlDatosConvocatoria').modal('hide');
                    //dataTable.ajax.reload();
                    location.reload();
                }
            },
            cache: false,
            contentType: false,
            processData: false
        }).fail(function (e) {

        }).always(function () {
            funciones.showHideButtonLoading('.btnGuardarConvocatoria');
        });

    });

    $(document).on('click','.btnDelete',function(e){
        e.preventDefault();
        var This = this;
        Swal.fire({
            title: "Anular",
            text: "Desea anular el registro: " + $(This).attr('data-conv_nombre_cargo'),
            icon: "warning",
            showCancelButton: true,
            confirmButtonColor: "#f60000",
            cancelButtonColor: "#dadada",
            cancelButtonText: "Cerrar",
            confirmButtonText: "Anular",
            showLoaderOnConfirm: true,
            preConfirm: function (email) {
                return $.ajax({
                    url: $(".frmDatosConvocatoria").attr("action").replaceAll('guardar','eliminar'),
                    data: { conv_id: $(This).attr('data-conv_id') },
                    type: 'post'
                })
            },
            allowOutsideClick: false
        }).then(function (result) {
            var acciest = JSON.parse(result.value);
            if(acciest.status == 0){
                alertify.error(acciest.msg);
            }else {
                dataTable.ajax.reload();
            }
        });
    });

    $(document).on('click','.btnEdit',function(e) {
        e.preventDefault();
        var This = this;
        funciones.showHideButtonLoading(This,false);
        $.get( $(".frmDatosConvocatoria").attr("action").replaceAll('guardar','buscar') + '?conv_id=' + $(This).attr('data-conv_id'),function(response) {
            funciones.asignarValoresForm(".frmDatosConvocatoria",JSON.parse(response));
            funciones.modalType('#mdlDatosConvocatoria','warning');
            $('#mdlDatosConvocatoria').modal('show');
        })
        .fail(function(response) {

        })
        .always(function(response) {
            funciones.showHideButtonLoading(This);
        });
    });

});


